/**
 * NoneTriggerStrategy does not respond to any events and always indicates no action.
 */
export class NoneTriggerStrategy {
  /**
   * Determines if the strategy can evaluate the given event type.
   *
   * @returns {boolean} Always false as this strategy does not respond to any events.
   */
  canEvaluate() {
    return false;
  }
  /* istanbul ignore next */
  /**
   * Evaluates the trigger context and always indicates no action.
   *
   * @returns {VegaEATriggerResult} An object indicating no action (no show, hide, or toggle).
   */
  evaluate() {
    return {};
  }
}
